Bug 754915 - Preupgrade should delete its own boot image to free up space in /boot
Preupgrade should delete its own boot image to free up space in /boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-18 03:15 EST by Daniel Thompson
Modified: 2013-02-13 09:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:36:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Thompson 2011-11-18 03:15:46 EST
Description of problem:
Many historic Fedora installs have small /boot partitions (200M). On such systems it is difficult to use preupgrade as the preupgrade boot image competes for space with the installed kernels.


How reproducible:
Occurs on almost all systems with 200M boot partition (even those with only one kernel RPM installed)


Steps to Reproduce:
1. Install F15 and force a 200M boot partition
2. Attempt to upgrade using preupgrade
  

Actual results:
Many warnings and errors due to insufficient space.


Expected results:
By the time anaconda starts all data has been copied from the initrd in /boot/upgrade to memory. It is therefore reasonably safe for anaconda to delete this file before commencing the upgrade although perhaps it would be conservative to only delete the file when insufficient space is detected.


Additional info:
I have tested this on two such systems to show the principle works.

On one system (which has an encrypted partition) I switched to the shell when the installed asked for the password. From here I mounted /boot removed the initrd and then unmounted and continued installation.

On the second system (no encryption) the install is fully automated. On this system I just switched to the shell and kept typing "mount" until /boot was mounted by the installer and then deleted the initrd before the installer scanned for free space.

Both systems performed the upgrades cleanly.
Comment 1 Fedora End Of Life 2013-01-16 08:43:27 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 09:36:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.